Support » Fixing WordPress » Mutiple Warnings in wp-includes/functions.php

  • Resolved Stevo

    (@sd142ppr)


    Morning all,

    I receive these ongoing warnings (in wp-includes/functions.php) in all my installations currently, when updating any plugin. I should add that there is an issue currently with the plugin LAYERSLIDER, but wondered if anyone could shed any more light on this, or offer a fix solution? I tried updating the php file concerned before updates, but the error still persists. Maybe it’s just part of the plugin issue, but I’m not terribly strong at this level of code. Any help appreciated.

    The error message after updating plugins:
    (address details ***hidden*** for security)

    Warning: fopen(***hidden***/wp-content/themes/enfold/config-layerslider/LayerSlider/layerslider.php): failed to open stream: No such file or directory in ***hidden***/wp-includes/functions.php on line 4783

    Warning: fread() expects parameter 1 to be resource, boolean given in ***hidden***//wp-includes/functions.php on line 4786

    Warning: fclose() expects parameter 1 to be resource, boolean given in ***hidden***/wp-includes/functions.php on line 4789

    Warning: fopen(***hidden***/wp-content/themes/enfold/config-layerslider/LayerSlider/layerslider.php): failed to open stream: No such file or directory in ***hidden***/wp-includes/functions.php on line 4783

    Warning: fread() expects parameter 1 to be resource, boolean given in ***hidden***/wp-includes/functions.php on line 4786

    Warning: fclose() expects parameter 1 to be resource, boolean given in ***hidden***/wp-includes/functions.php on line 4789

    Warning: fopen(***hidden***/wp-content/themes/enfold/config-layerslider/LayerSlider/layerslider.php): failed to open stream: No such file or directory in ***hidden***/wp-includes/functions.php on line 4783

    Warning: fread() expects parameter 1 to be resource, boolean given in ***hidden***/wp-includes/functions.php on line 4786

    Warning: fclose() expects parameter 1 to be resource, boolean given in ***hidden***/wp-includes/functions.php on line 4789

    ~

    WORDFENCE also adds into its live update the following message:

    Warning: fopen(***hidden***/wp-content/themes/enfold/config-layerslider/LayerSlider/layerslider.php): failed to open stream: No such file or di

    (and yes – it cuts off there!)

    Thanks again
    Stevo

Viewing 4 replies - 1 through 4 (of 4 total)
  • Hi,
    There are many files missing. I would suggest to upload all theme files again through FTP software.
    Thanks
    Mohammad

    • This reply was modified 5 years, 6 months ago by mdshak.
    Thread Starter Stevo

    (@sd142ppr)

    Thanks @mdshak.

    It was a LAYERSLIDER issue. Solved by deactivating it in the theme’s functions.php file (as supplied by the theme’s creators). A workaround until an update is sorted:

    add_theme_support(‘deactivate_layerslider’);

    If anyone is using ENFOLD theme, with the same problem, this is the cure, for now!

    Bliss.
    Stevo

    Thread Starter Stevo

    (@sd142ppr)

    PS. Only good if you are NOT currently using Layerslider. Thought I should add that!
    Stevo 🙂

    Hi,
    I am glad 🙂 to know this.
    Thanks
    Mohammad

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Mutiple Warnings in wp-includes/functions.php’ is closed to new replies.